Improve this doc View source

# `pfFilterResults`
directive in module `patternfly.filters`

## Description

Directive for the filter results components

## Usage

as attribute

    <ANY pf-filter-results
         config="{object}">
       ...
    </ANY>

#### Parameters

Param | Type | Details
--- | --- | ---

config

object

configuration settings for the filter results:

- .fields - (Array) List of filterable fields containing:
  - .id - (String) Optional unique Id for the filter field, useful for comparisons
  - .title - (String) The title to display for the filter field
  - .placeholder - (String) Text to display when no filter value has been entered
  - .filterType - (String) The filter input field type (any html input type, or 'select' for a select box)
  - .filterValues - (Array) List of valid select values used when filterType is 'select'
- .appliedFilters - (Array) List of the currently applied filters
- .resultsCount - (int) The number of results returned after the current applied filters have been applied
- .onFilterChange - ( function(array of filters) ) Function to call when the applied filters list changes